#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_GEPPS_Microdati_2015_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_GEPPS_A2015<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_GEPPS_A2015, "label") <- c(
"Identificativo progressivo nel campione dei diplomati",
"Sesso",
"Cittadinanza",
"Tipo di diploma di scuola superiore",
"Durata del diploma",
"Classe di et al diploma",
"Scuola privata o pubblica",
"Voto di diploma",
"Voto all'esame di licenza media",
"Ha cambiato tipo di scuola durante gli studi superiori?",
"Tipo di scuola a cui era iscritto inizialmente",
"E' mai stato respinto durante gli studi superiori?",
"Respinto in classe prima",
"Respinto in classe seconda",
"Respinto in classe terza",
"Respinto in classe quarta",
"Respinto in classe quinta",
"Debiti formativi da recuperare",
"Privatista",
"Soddisfazione: rapporto con gli insegnanti",
"Soddisfazione: capacit professionali degli insegnanti",
"Soddisfazione: strutture scolastiche",
"Soddisfazione: programmi di studio",
"Soddisfazione: insegnamento delle lingue straniere",
"Soddisfazione: insegnamento dell'informatica",
"Ha frequentato stage/tirocini organizzati dalla scuola?",
"Intenzioni a conclusione della scuola superiore",
"Si iscriverebbe di nuovo allo stesso tipo di scuola?",
"Motivo per cui non si iscriverebbe allo stesso tipo di scuola",
"Frequenza di utilizzo di Internet",
"Usa Internet per studio o lavoro",
"Usa Internet per informarsi sull'attualit",
"Usa Internet per interessi personali",
"Usa Internet per comunicare con gli amici",
"Usa Internet per svago",
"Dimestichezza in Internet",
"Iscrizione a un corso di formazione professionale",
"Argomento del corso",
"Motivo per cui si  iscritto",
"Durata del corso",
"Utilit del corso per il lavoro",
"Motivo dell'interruzione",
"Era iscritto a un corso professionale a settembre 2012?",
"Iscrizione a un corso di alta formazione artististica e musicale (AFAM)",
"Iscrizione ad altro corso di studi superiori non universitari (compresi titoli equipollenti alla laurea)",
"Iscrizione all'universit",
"Motivo per cui non si  mai iscritto",
"Motivo dell'iscrizione",
"E' attualmente iscritto all'universit?",
"Ha gi conseguito un titolo universitario?",
"Motivo dell'interruzione",
"Motivo iscrizione a un nuovo corso universitario",
"Tipo di corso",
"Crediti acquisiti",
"Area disciplinare",
"Canale d'informazione per la scelta del corso",
"Motivo per cui ha scelto questo Ateneo",
"Utilit della scuola superiore per il corso di laurea",
"Frequenza delle lezioni",
"Soddisfazione per la competenza dei docenti",
"Soddisfazione per la chiarezza espositiva dei docenti",
"Soddisfazione per la presenza e puntualit dei docenti alle lezioni",
"Soddisfazione per la puntualit dei docenti agli orari di ricevimento",
"Soddisfazione per la disponibilit dei docenti al rapporto con gli studenti",
"Soddisfazione per la struttura universitaria: aule",
"Soddisfazione per la struttura universitaria: laboratori informatici",
"Soddisfazione per la struttura universitaria: laboratori linguistici",
"Soddisfazione per la struttura universitaria: biblioteche e sale di lettura",
"Partecipazione a programmi di studio all'estero",
"Era il corso a cui desiderava veramente iscriversi?",
"Motivo per cui si  iscritto al corso che non desiderava",
"Iscrizione all'universit nei prossimi 12 mesi",
"Tipo di corso a cui pensa di iscriversi",
"Attualmente ha un lavoro o un'attivit formativa retribuita?",
"Motivo per cui non lavora",
"Posizione lavorativa del dipendente",
"Posizione lavorativa dell'autonomo",
"Ha dei dipendenti?",
"Lavora per un'amministrazione pubblica o per un privato?",
"Settore economico",
"Settore economico (Ateco)",
"Codifica CP2011 della professione",
"Area tematica dell'attivit formativa retribuita",
"Ha un contratto di lavoro?",
"Contratto a tempo indeterminato o a termine",
"A tempo indeterminato fin dall'inizio?",
"Motivo del lavoro a termine",
"Possibilit che il lavoro diventi a tempo indeterminato",
"Tempo pieno o part-time",
"Motivo lavoro part-time",
"Motivo per cui non vuole lavoro tempo pieno",
"Possibilit che il lavoro venga regolarizzato con contratto",
"Ore settimanali",
"Luogo di lavoro: Italia o estero",
"Luogo di lavoro: provincia o estero",
"L'attivit  iniziata prima o dopo il diploma?",
"Ci sono stati miglioramenti nella posizione/guadagno dopo il diploma?",
"L'attivit  iniziata prima o dopo la laurea triennale?",
"Tempo trascorso dall'inizio del lavoro all'intervista",
"Tempo trascorso dal diploma all'inizio del lavoro attuale (in mesi)",
"Il diploma era richiesto?",
"Canale di accesso",
"Reddito mensile netto attivit lavorativa/formativa principale",
"Soddisfazione: mansioni svolte",
"Soddisfazione: prospettive di stabilit e di sicurezza del lavoro",
"Soddisfazione: grado di autonomia/livello di responsabilit",
"Soddisfazione: utilizzo delle conoscenze acquisite alluniversit",
"Soddisfazione: trattamento economico",
"Soddisfazione: possibilit di carriera",
"Soddisfazione: possibilit di arricchimento professionale",
"Soddisfazione complessiva",
"Ulteriori attivita lavorative o formative retribuite",
"Ore settimanali delle altre attivit",
"Reddito mensile  totale netto",
"Opportunit di lavoro dopo il diploma",
"Ne ha accettata almeno una?",
"Motivo per cui non le ha accettate",
"Primo lavoro: tipo di lavoro",
"Tempo trascorso dal diploma al primo lavoro (in mesi)",
"Primo lavoro: motivo per cui  terminato",
"Lavorava a settembre 2012?",
"Tipo di lavoro a settembre 2012",
"Cercava lavoro a settembre 2012?",
"Ricerca di lavoro",
"Motivo per cui non cerca lavoro",
"Motivo per cui cerca un altro lavoro",
"Canale di ricerca: colloqui/selezioni con privati",
"Canale di ricerca: selezioni/concorsi pubblici",
"Canale di ricerca: invio curriculum a privati o domande per concorsi pubblici",
"Canale di ricerca: inserzioni e annunci su giornali cartacei",
"Canale di ricerca:  richieste di lavoro/bandi su Internet",
"Canale di ricerca: Centri pubblici per limpiego o Agenzie interinali",
"Canale di ricerca: parenti, amici, conoscenti, sindacati ecc.",
"Canale di ricerca: mi attivo per avviare un'attivit",
"Canale di ricerca: altra azione",
"Quando ha svolto l'ultima azione di ricerca",
"Preferisce un lavoro dipendente o autonomo?",
"Preferisce un lavoro a tempo pieno o part-time?",
"Luogo in cui sarebbe disposto a lavorare",
"Disponibilit a trasferirsi per lavorare",
"Guadagno mensile minimo accettabile",
"Disponibilit a iniziare entro due settimane",
"Luogo in cui vive: Italia o estero",
"Luogo in cui vive: provincia o estero",
"Luogo in cui vive: regione",
"Luogo in cui vive: ripartizione territoriale",
"Abita con genitori/fratelli",
"Abita con coniuge/convivente	",
"Motivo per cui vive ancora con i genitori/fratelli",
"Intenzione di vivere da solo",
"Padre: titolo di studio",
"Padre: condizione occupazionale",
"Padre: lavoro dipendente o autonomo",
"Padre: lavoro dipendente",
"Padre: lavoro autonomo",
"Madre: titolo di studio",
"Madre: condizione occupazionale",
"Madre: lavoro dipendente o autonomo",
"Madre: posizione lavoro dipendente",
"Madre: posizione lavoro autonomo",
"Coefficiente di riporto all'universo",
"Tempo trascorso dal diploma all'intervista (in mesi)")

V0_5_Fact <- factor(DF_GEPPS_A2015$V0_5, 
levels=c(1, 
2), 
labels=c("Maschi", 
"Femmine")) 


CITTAD_Fact <- factor(DF_GEPPS_A2015$CITTAD, 
levels=c(1, 
2), 
labels=c("Italiana", 
"Straniera o apolide")) 


V0_3_MFR_Fact <- factor(DF_GEPPS_A2015$V0_3_MFR, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
15, 
16, 
17, 
18, 
19), 
labels=c("Istituto professionale per l'agricoltura e l'ambiente", 
"Istituto professionale industria e artigianato", 
"Istituto professionale per i servizi commerciali e turistici", 
"Istituto professionale per i servizi alberghieri e ristorazione", 
"Istituto professionale per i servizi sociali", 
"Istituto tecnico agrario", 
"Istituto tecnico industriale", 
"Istituto tecnico aeronautico/nautico", 
"Istituto tecnico commerciale", 
"Istituto tecnico per geometri", 
"Istituto tecnico per il turismo", 
"Istituto tecnico per attivit sociali (gi ITF)", 
"Istruzione magistrale (Comprende: Liceo socio-psico-pedagogico, Liceo delle scienze sociali (indirizzo autonomo, indirizzo umanistico, indirizzo musicale, indirizzo coreutico), Liceo delle scienze umane, Scienze della formazione)", 
"Liceo scientifico", 
"Liceo classico", 
"Liceo linguistico", 
"Istituto d'arte", 
"Liceo artistico")) 


V0_4_Fact <- factor(DF_GEPPS_A2015$V0_4, 
levels=c(1, 
2, 
3), 
labels=c("Un diploma di 5 anni", 
"Un diploma di 4 anni", 
"Una qualifica di 3 anni (inclusa la licenza di maestro darte)")) 


ETA_DIPLO_MFR_Fact <- factor(DF_GEPPS_A2015$ETA_DIPLO_MFR, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Minore o uguale a 18 anni", 
"19 anni", 
"20 anni", 
"21 anni", 
"Maggiore o uguale a 22 anni")) 


scuola_pubblica_Fact <- factor(DF_GEPPS_A2015$scuola_pubblica, 
levels=c(0, 
1), 
labels=c("Scuola privata", 
"Scuola pubblica")) 


V0_9_Fact <- factor(DF_GEPPS_A2015$V0_9, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Sufficiente", 
"Buono", 
"Distinto", 
"Ottimo", 
"Eccellente")) 


V1_1_Fact <- factor(DF_GEPPS_A2015$V1_1, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_2_Fact <- factor(DF_GEPPS_A2015$V1_2, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
15, 
16, 
17, 
18, 
19, 
20), 
labels=c("Istituto professionale per l'agricoltura e l'ambiente", 
"Istituto professionale industria e artigianato", 
"Istituto professionale per i servizi commerciali e turistici", 
"Istituto professionale per i servizi alberghieri e ristorazione", 
"Istituto professionale per i servizi sociali", 
"Istituto tecnico agrario", 
"Istituto tecnico industriale", 
"Istituto tecnico aeronautico/nautico", 
"Istituto tecnico commerciale", 
"Istituto tecnico per geometri", 
"Istituto tecnico per il turismo", 
"Istituto tecnico per attivit sociali (gi ITF)", 
"Istruzione magistrale (Comprende: Liceo socio-psico-pedagogico, Liceo delle scienze sociali (indirizzo autonomo, indirizzo umanistico, indirizzo musicale, indirizzo coreutico), Liceo delle scienze umane, Scienze della formazione)", 
"Liceo scientifico", 
"Liceo classico", 
"Liceo linguistico", 
"Istituto d'arte", 
"Liceo artistico", 
"Scuola straniera che non rientra nelle precedenti modalit")) 


V1_3_Fact <- factor(DF_GEPPS_A2015$V1_3, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_4A_Fact <- factor(DF_GEPPS_A2015$V1_4A, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_4B_Fact <- factor(DF_GEPPS_A2015$V1_4B, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_4C_Fact <- factor(DF_GEPPS_A2015$V1_4C, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_4D_Fact <- factor(DF_GEPPS_A2015$V1_4D, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_4E_Fact <- factor(DF_GEPPS_A2015$V1_4E, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_5_Fact <- factor(DF_GEPPS_A2015$V1_5, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_6_Fact <- factor(DF_GEPPS_A2015$V1_6, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_8_Fact <- factor(DF_GEPPS_A2015$V1_8, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_9_Fact <- factor(DF_GEPPS_A2015$V1_9, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Proseguire gli studi alluniversit", 
"Seguire un corso di formazione professionale", 
"Lavorare", 
"Non avevo le idee chiare", 
"Altro (specificare)")) 


V1_10_Fact <- factor(DF_GEPPS_A2015$V1_10, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V1_11_Fact <- factor(DF_GEPPS_A2015$V1_11, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Insoddisfazione per le opportunit lavorative dopo il diploma", 
"Delusione per i contenuti del corso/programmi scolastici", 
"Ho maturato nuovi interessi", 
"Altro (specificare)")) 


V1_12_Fact <- factor(DF_GEPPS_A2015$V1_12, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Tutti i giorni", 
"Qualche volta a settimana", 
"Qualche volta al mese", 
"Pi raramente o mai")) 


V1_13A_Fact <- factor(DF_GEPPS_A2015$V1_13A, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Tutti i giorni", 
"Qualche volta a settimana", 
"Qualche volta al mese", 
"Pi raramente o mai")) 


V1_13B_Fact <- factor(DF_GEPPS_A2015$V1_13B, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Tutti i giorni", 
"Qualche volta a settimana", 
"Qualche volta al mese", 
"Pi raramente o mai")) 


V1_13C_Fact <- factor(DF_GEPPS_A2015$V1_13C, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Tutti i giorni", 
"Qualche volta a settimana", 
"Qualche volta al mese", 
"Pi raramente o mai")) 


V1_13D_Fact <- factor(DF_GEPPS_A2015$V1_13D, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Tutti i giorni", 
"Qualche volta a settimana", 
"Qualche volta al mese", 
"Pi raramente o mai")) 


V1_13E_Fact <- factor(DF_GEPPS_A2015$V1_13E, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Tutti i giorni", 
"Qualche volta a settimana", 
"Qualche volta al mese", 
"Pi raramente o mai")) 


V2_1_Fact <- factor(DF_GEPPS_A2015$V2_1, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


V2_2_Fact <- factor(DF_GEPPS_A2015$V2_2, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Normativa sulla sicurezza e salute sul luogo di lavoro (legge 81/2008, legge 626/1994 ecc.)", 
"Contabilit, amministrazione e lavori dufficio (addetti segreteria, contabilit, assicurazioni, gestione del personale ecc.)", 
"Professioni per il turismo, gli alberghi, la ristorazione e lestetica", 
"Grafica/pubblicit, marketing, distribuzione commerciale, vendita, gestione magazzino, logistica, attivit promozionali", 
"Arte, musica, moda e arredamento (designer, stilista, orafo ecc.)", 
"Servizi sanitari e di assistenza sociale (operatore socio-assistenziale, socio-familiare, socio-educativo ecc.)", 
"Insegnamento e formazione (istruttori, allenatori ecc.)", 
"Informatica (multimedialit, telecomunicazioni ecc.)", 
"Agricoltura e ambiente", 
"Edilizia, elettronica, elettricit e meccanica", 
"Lingue straniere (include linguaggio per sordi, lingua italiana per stranieri)", 
"Altro (specificare)")) 


V2_3_Fact <- factor(DF_GEPPS_A2015$V2_3, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Per trovare un lavoro o migliorare le competenze nel mio lavoro", 
"Me lo ha proposto/mi ha iscritto il mio datore di lavoro", 
"Per interesse personale", 
"Altro (specificare)")) 


V2_4_Fact <- factor(DF_GEPPS_A2015$V2_4, 
levels=c(1, 
2, 
3), 
labels=c("Meno di 600 ore", 
"Da 600 a meno di 1.200 ore", 
"Da 1.200 ore in poi")) 


V2_5_Fact <- factor(DF_GEPPS_A2015$V2_5, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V2_6_Fact <- factor(DF_GEPPS_A2015$V2_6, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Ero deluso dai contenuti o dallorganizzazione del corso", 
"Ero impegnato negli studi universitari o in altro tipo di formazione (incluso Servizio civile volontario)", 
"Avevo un lavoro o svolgevo attivit di inserimento lavorativo", 
"Per motivi personali (salute, cura di figli o altri familiari ecc.)", 
"Altro (specificare)")) 


V2_7_Fact <- factor(DF_GEPPS_A2015$V2_7, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V3_1A_Fact <- factor(DF_GEPPS_A2015$V3_1A, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


V3_1N_Fact <- factor(DF_GEPPS_A2015$V3_1N, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


V3_3_Fact <- factor(DF_GEPPS_A2015$V3_3, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V3_4_Fact <- factor(DF_GEPPS_A2015$V3_4, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10), 
labels=c("Sto frequentando (o sto per frequentare) un corso AFAM o altri studi superiori non universitari (Conservatorio, Accademia militare, Accademia di Belle Arti ecc.)", 
"Non mi interessavano gli studi universitari", 
"Le spese universitarie o di mantenimento erano troppo elevate (tasse, libri, vitto, alloggio ecc.)", 
"Non ho superato il test d'ingresso", 
"Ho frequentato dei corsi di formazione post-diploma (incluso il Servizio civile volontario)", 
"Per cominciare subito a lavorare", 
"Avevo gi un lavoro", 
"Motivi personali (salute, cura di figli o altri familiari ecc.)", 
"Mi sarebbe piaciuto ma non mi sentivo in grado, non avevo le basi", 
"Altro (specificare)")) 


V3_6_Fact <- factor(DF_GEPPS_A2015$V3_6, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Interesse per lo studio/per la specifica disciplina", 
"Per avere migliori opportunit di lavoro", 
"Suggerimento o pressioni familiari", 
"Per fare qualcosa in attesa di lavoro", 
"Altro (specificare)")) 


V3_8_Fact <- factor(DF_GEPPS_A2015$V3_8, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V3_7_Fact <- factor(DF_GEPPS_A2015$V3_7, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V3_9_Fact <- factor(DF_GEPPS_A2015$V3_9, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Gli studi erano troppo difficili, la mia formazione non era adeguata", 
"Non mi piaceva studiare, avevo altri interessi", 
"Non ero soddisfatto degli sbocchi professionali del corso", 
"Le spese universitarie o di mantenimento erano troppo elevate (tasse, libri, vitto, alloggio ecc.)", 
"Le strutture universitarie e lorganizzazione della didattica erano insoddisfacenti", 
"Ho frequentato altri corsi di formazione post-diploma (incluso il Servizio civile volontario)", 
"Per dedicarmi al lavoro o alla ricerca di lavoro", 
"Motivi personali (salute, cura di figli o altri familiari ecc.)", 
"Altro (specificare)")) 


V3_11_Fact <- factor(DF_GEPPS_A2015$V3_11, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Approfondire lo studio della materia", 
"Avere migliori opportunit di lavoro e carriera", 
"Rappresenta la prosecuzione naturale degli studi precedenti", 
"Altro motivo")) 


V3_12_Fact <- factor(DF_GEPPS_A2015$V3_12, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Un corso di laurea triennale", 
"Un corso di laurea magistrale/specialistica biennale", 
"Un corso di laurea a ciclo unico di 5-6 anni", 
"Un master universitario di 1 livello (inclusi i corsi di perfezionamento)", 
"Un corso presso un'universit straniera (in Italia o allestero)")) 


V3_17_Fact <- factor(DF_GEPPS_A2015$V3_17, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16), 
labels=c("Agraria", 
"Architettura", 
"Chimico-farmaceutica", 
"Difesa e sicurezza", 
"Economico-statistica", 
"Educazione fisica", 
"Geo-biologica", 
"Giuridica", 
"Ingegneria", 
"Insegnamento", 
"Letteraria", 
"Linguistica", 
"Medica", 
"Politico-sociale", 
"Psicologica", 
"Scientifica")) 


V3_14_Fact <- factor(DF_GEPPS_A2015$V3_14, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Opuscoli e guide specializzate", 
"Attivit di orientamento organizzate dalla scuola o dagli insegnanti", 
"Attivit di orientamento organizzate dalluniversit", 
"Pagine Internet dell'universit", 
"Familiari, amici", 
"Quotidiani, periodici", 
"Altro canale di informazione", 
"Non mi sono informato")) 


V3_16_Fact <- factor(DF_GEPPS_A2015$V3_16, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Per il suo prestigio", 
"Perch era la scelta pi economica", 
"Perch  la pi vicina da raggiungere dal luogo di residenza abituale", 
"Per la qualit dei servizi e/o strutture offerti dallateneo", 
"Il corso che avevo scelto era attivo solo in questa sede", 
"Per motivi legati al numero chiuso e al test d'ingresso", 
"Altro motivo (specificare)")) 


V3_19_Fact <- factor(DF_GEPPS_A2015$V3_19, 
levels=c(1, 
2, 
3), 
labels=c("Con regolarit", 
"Saltuariamente", 
"Mai o quasi mai")) 


V3_22_Fact <- factor(DF_GEPPS_A2015$V3_22, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V3_23_Fact <- factor(DF_GEPPS_A2015$V3_23, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V3_24_Fact <- factor(DF_GEPPS_A2015$V3_24, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Non ho superato il test d'ingresso", 
"Non c'erano sedi vicine al luogo di residenza abituale", 
"Il corso non offriva prospettive di lavoro soddisfacenti", 
"Altro")) 


V3_25_Fact <- factor(DF_GEPPS_A2015$V3_25, 
levels=c(1, 
2, 
3), 
labels=c("S", 
"No", 
"Non so")) 


V3_26_Fact <- factor(DF_GEPPS_A2015$V3_26, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Un corso di laurea triennale", 
"Un corso di laurea magistrale/specialistica biennale", 
"Un corso di laurea a ciclo unico di 5-6 anni", 
"Un master universitario di 1 o 2 livello (inclusi i corsi di perfezionamento)", 
"Un dottorato")) 


V4_1_Fact <- factor(DF_GEPPS_A2015$V4_1, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Lavoro alle dipendenze", 
"Lavoro di collaborazione coordinata e continuativa o di prestazione dopera occasionale (include voucher)", 
"Lavoro autonomo", 
"Borsa di studio, borsa di lavoro", 
"Stage, tirocinio, praticantato (incluso Servizio civile volontario) e volontariato con rimborso spese", 
"Corso di formazione professionale retribuito, corso di aggiornamento retribuito", 
"Nessuno di questi")) 


V4_2_Fact <- factor(DF_GEPPS_A2015$V4_2, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Frequento/sto per iniziare un corso di studi/di formazione professionale", 
"Sto per iniziare un lavoro / sto aspettando una risposta", 
"Ho appena concluso un'attivit lavorativa", 
"Non trovo lavori che mi interessano", 
"Non riesco a trovare alcun tipo di lavoro", 
"Non mi interessa, non ne ho bisogno", 
"Motivi personali o familiari (salute, maternit, assistenza familiari ecc.)", 
"Altro (specificare)")) 


V4_4_MFR_Fact <- factor(DF_GEPPS_A2015$V4_4_MFR, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)", 
"Apprendista")) 


V4_5_MFR_Fact <- factor(DF_GEPPS_A2015$V4_5_MFR, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nellazienda di un familiare", 
"Socio di cooperativa")) 


V4_6_Fact <- factor(DF_GEPPS_A2015$V4_6, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V4_7_Fact <- factor(DF_GEPPS_A2015$V4_7, 
levels=c(1, 
2), 
labels=c("Pubblica Amministrazione", 
"Privato")) 


V4_8_Fact <- factor(DF_GEPPS_A2015$V4_8, 
levels=c(1, 
2, 
3), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Servizi")) 


V4_8ATECO_MFR_Fact <- factor(DF_GEPPS_A2015$V4_8ATECO_MFR, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19), 
labels=c("Agricoltura, caccia e pesca", 
"Estrazione di minerali, produzione e fornitura di energia elettrica, gas, acqua e gestione rifiuti", 
"Fabbricazione di prodotti chimici, petrolchimici e farmaceutici", 
"Fabbricazione di macchinari e apparecchiature meccaniche", 
"Fabbricazione di apparecchiature elettriche, elettroniche e ottiche", 
"Fabbricazione di mezzi di trasporto", 
"Costruzioni", 
"Produzione alimentare, tessile e abbigliamento", 
"Altra attivit manifatturiera", 
"Commercio, riparazioni veicoli", 
"Trasporto, magazzinaggio e servizi postali", 
"Servizi di informazione e comunicazione (informatica, editoria, telecomunicazioni ecc.)", 
"Alloggio e ristorazione (alberghi, ristoranti, pubblici esercizi ecc.)", 
"Attivit finanziarie e assicurative", 
"Attivit professionali, scientifiche e tecniche (attivit legali e contabilit, studi architettura, ingegneria, pubblicit, ricerche di mercato, design, traduzione, veterinari ecc.)", 
"Pubblica Amministrazione e Difesa (ministeri, regioni, enti locali, assicurazione obbligatoria ecc.)", 
"Istruzione (scuole pubbliche e private, universit ecc)", 
"Sanit e assistenza sociale (ospedali pubblici e privati, ASL, studi medici, assistenza sociale ecc.)", 
"Altri servizi pubblici, sociali e alle persone (cinema, TV, palestre, musei ecc.)")) 


PROF_MFR_Fact <- factor(DF_GEPPS_A2015$PROF_MFR, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"1.1", 
"1.2", 
"1.3", 
"2.1", 
"2.2", 
"2.3", 
"2.4", 
"2.5", 
"2.6", 
"3.1", 
"3.2", 
"3.3", 
"3.4", 
"4.1", 
"4.2", 
"4.3", 
"4.4", 
"5.1", 
"5.2", 
"5.3", 
"5.4", 
"6.1", 
"6.2", 
"6.3", 
"6.4", 
"6.5", 
"7.1", 
"7.2", 
"7.3", 
"7.4", 
"8.1", 
"8.2", 
"8.3", 
"8.4", 
"9.1", 
"9.2", 
"9.3"), 
labels=c("Legislatori, imprenditori e alta dirigenza", 
"Professioni intellettuali, scientifiche e di elevata specializzazione", 
"Professioni tecniche", 
"Professioni esecutive nel lavoro d'ufficio", 
"Professioni qualificate nelle attivit commerciali e nei servizi", 
"Artigiani, operai specializzati e agricoltori", 
"Conduttori di impianti, operai di macchinari fissi e mobili e conducenti di veicoli", 
"Professioni non qualificate", 
"Forze armate", 
"Membri dei corpi legislativi e di governo, dirigenti ed equiparati dell'amministrazione pubblica, nella magistratura, nei servizi di sanit, istruzione e ricerca e nelle organizzazioni di interesse nazionale e sovranazionale", 
"Imprenditori, amministratori e direttori di grandi aziende", 
"Imprenditori e responsabili di piccole aziende", 
"Specialisti in scienze matematiche, informatiche, chimiche, fisiche e naturali", 
"Ingegneri, architetti e professioni assimilate", 
"Specialisti nelle scienze della vita", 
"Specialisti della salute", 
"Specialisti in scienze umane, sociali, artistiche e gestionali", 
"Specialisti della formazione e della ricerca", 
"Professioni tecniche in campo scientifico, ingegneristico e della produzione", 
"Professioni tecniche nelle scienze della salute e della vita", 
"Professioni tecniche nellorganizzazione, amministrazione e nelle attivit finanziarie e commerciali", 
"Professioni tecniche nei servizi pubblici e alle persone", 
"Impiegati addetti alle funzioni di segreteria e alle macchine da ufficio", 
"Impiegati addetti ai movimenti di denaro e all'assistenza clienti", 
"Impiegati addetti alla gestione amministrativa, contabile e finanziaria", 
"Impiegati addetti alla raccolta, controllo, conservazione e recapito della documentazione", 
"Professioni qualificate nelle attivit commerciali", 
"Professioni qualificate nelle attivit ricettive e della ristorazione", 
"Professioni qualificate nei servizi sanitari e sociali", 
"Professioni qualificate nei servizi culturali, di sicurezza e alla persona", 
"Artigiani e operai specializzati dell industria estrattiva, delledilizia e della manutenzione degli edifici", 
"Artigiani ed operai metalmeccanici specializzati e installatori e manutentori di attrezzature elettriche ed elettroniche", 
"Artigiani ed operai specializzati della meccanica di precisione, dell'artigianato artistico, della stampa ed assimilati", 
"Agricoltori e operai specializzati dellagricoltura, delle foreste, della zootecnia, della pesca e della caccia", 
"Artigiani e operai specializzati delle lavorazioni alimentari, del legno, del tessile, dell'abbigliamento, delle pelli, del cuoio e dell'industria dello spettacolo", 
"Conduttori di impianti industriali", 
"Operai semiqualificati di macchinari fissi per la lavorazione in serie e operai addetti al montaggio", 
"Operatori di macchinari fissi in agricoltura e nella industria alimentare", 
"Conduttori di veicoli, di macchinari mobili e di sollevamento", 
"Professioni non qualificate nel commercio e nei servizi", 
"Professioni non qualificate nelle attivit domestiche, ricreative e culturali", 
"Professioni non qualificate nell'agricoltura, nella manutenzione del verde, nell'allevamento, nella silvicoltura e nella pesca", 
"Professioni non qualificate nella manifattura, nell'estrazione di minerali e nelle costruzioni", 
"Ufficiali delle forze armate", 
"Sergenti, sovraintendenti e marescialli delle forze armate", 
"Truppa delle forze armate")) 


V4_13_Fact <- factor(DF_GEPPS_A2015$V4_13, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Normativa sulla sicurezza e salute sul luogo di lavoro (legge 81/2008, legge 626/1994 ecc.)", 
"Contabilit, amministrazione e lavori dufficio (addetti segreteria, contabilit, assicurazioni, gestione del personale ecc.)", 
"Professioni per il turismo, gli alberghi, la ristorazione e lestetica", 
"Grafica/pubblicit, marketing, distribuzione commerciale, vendita, gestione magazzino, logistica, attivit promozionali", 
"Arte, musica, moda e arredamento (designer, stilista, orafo ecc.)", 
"Servizi sanitari e di assistenza sociale (operatore socio-assistenziale, socio-familiare, socio-educativo ecc.)", 
"Insegnamento e formazione (istruttori, allenatori ecc.)", 
"Informatica (multimedialit, telecomunicazioni ecc.)", 
"Agricoltura e ambiente", 
"Edilizia, elettronica, elettricit e meccanica", 
"Lingue straniere (comprende linguaggio per sordi e lingua italiana per stranieri)", 
"Altro")) 


V4_14_Fact <- factor(DF_GEPPS_A2015$V4_14, 
levels=c(1, 
2), 
labels=c("S, ho un contratto", 
"No, sono senza contratto, ho un accordo verbale")) 


V4_15_Fact <- factor(DF_GEPPS_A2015$V4_15, 
levels=c(1, 
2), 
labels=c("A tempo indeterminato (senza una scadenza)", 
"A termine (a tempo determinato)")) 


V4_16_Fact <- factor(DF_GEPPS_A2015$V4_16, 
levels=c(1, 
2), 
labels=c("Ho iniziato con un contratto a termine", 
"Fin dallinizio avevo un contratto senza scadenza")) 


V4_17_Fact <- factor(DF_GEPPS_A2015$V4_17, 
levels=c(1, 
2), 
labels=c("Per scelta", 
"Non ho trovato un lavoro a tempo indeterminato")) 


V4_18_Fact <- factor(DF_GEPPS_A2015$V4_18, 
levels=c(1, 
2, 
3), 
labels=c("Buone", 
"Scarse", 
"Non saprei")) 


V4_19_Fact <- factor(DF_GEPPS_A2015$V4_19, 
levels=c(1, 
2), 
labels=c("A tempo pieno", 
"Part-time (a tempo parziale)")) 


V4_20_Fact <- factor(DF_GEPPS_A2015$V4_20, 
levels=c(1, 
2), 
labels=c("Non ho trovato un lavoro a tempo pieno", 
"Non voglio un lavoro a tempo pieno")) 


V4_21_Fact <- factor(DF_GEPPS_A2015$V4_21, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Per studiare o seguire corsi di formazione professionale (incluso il Servizio Civile volontario)", 
"Per avere a disposizione pi tempo libero", 
"Per motivi personali (salute, cura di figli o altri familiari ecc.)", 
"Altro")) 


V4_22_Fact <- factor(DF_GEPPS_A2015$V4_22, 
levels=c(1, 
2, 
3), 
labels=c("Buone", 
"Scarse", 
"Non saprei")) 


V4_24_Fact <- factor(DF_GEPPS_A2015$V4_24, 
levels=c(1, 
2), 
labels=c("In Italia", 
"All'estero")) 


PROV_O_EST_LAV_MFR_Fact <- factor(DF_GEPPS_A2015$PROV_O_EST_LAV_MFR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"999"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Valle d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forl-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"Estero")) 


V4_25_Fact <- factor(DF_GEPPS_A2015$V4_25, 
levels=c(1, 
2), 
labels=c("Prima", 
"Dopo")) 


V4_26_Fact <- factor(DF_GEPPS_A2015$V4_26, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V4_27_Fact <- factor(DF_GEPPS_A2015$V4_27, 
levels=c(1, 
2), 
labels=c("Prima", 
"Dopo")) 


V4_29_Fact <- factor(DF_GEPPS_A2015$V4_29, 
levels=c(1, 
2, 
3), 
labels=c("S, era richiesto", 
"Non era richiesto ma  stato utile", 
"Non era richiesto e non  stato utile")) 


V4_30_Fact <- factor(DF_GEPPS_A2015$V4_30, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Concorso pubblico, selezioni pubbliche", 
"Conoscenza diretta del datore di lavoro", 
"Segnalazione al datore di lavoro da parte di familiari/amici/conoscenti", 
"Segnalazione al datore di lavoro da parte della scuola/universit/centro di formazione", 
"A seguito di uno stage o tirocinio presso l'azienda/ente", 
"Chiamata diretta dellazienda/ente", 
"Inserzioni sui giornali o su Internet", 
"Invio di curriculum ai datori di lavoro (presentandosi di persona, inviando domande, telefonando ecc.)", 
"Centro pubblico per l'impiego (ex Ufficio di collocamento)", 
"Agenzie private di collocamento o selezione del personale", 
"Altro")) 


V4_39_Fact <- factor(DF_GEPPS_A2015$V4_39, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V4_43_Fact <- factor(DF_GEPPS_A2015$V4_43, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V4_44_Fact <- factor(DF_GEPPS_A2015$V4_44, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V4_45_Fact <- factor(DF_GEPPS_A2015$V4_45, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Avevo gi un lavoro/ero in attesa di un altro lavoro", 
"Non mi piaceva quel tipo di lavoro", 
"Il lavoro non mi garantiva stabilit o sicurezza", 
"Non ero soddisfatto del trattamento economico", 
"Per continuare a studiare (include corsi di formazione)", 
"La sede di lavoro era troppo distante", 
"Per motivi familiari o personali", 
"Altro (specificare)")) 


V4_46_Fact <- factor(DF_GEPPS_A2015$V4_46, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Lavoro dipendente a tempo indeterminato (senza scadenza)", 
"Lavoro dipendente a termine o occasionale/stagionale", 
"Collaborazione coordinata e continuativa, prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Borsa di studio", 
"Un'attivit formativa retribuita (stage, tirocinio, corso di formazione retribuito ecc.)")) 


V4_48_Fact <- factor(DF_GEPPS_A2015$V4_48, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Non  terminato, lo svolgo tuttora", 
"Avevo trovato un altro lavoro", 
"Il lavoro  giunto a conclusione (borsa di studio, incarico, collaborazione ecc.)", 
"Non mi piaceva quel tipo di lavoro", 
"Non mi garantiva stabilit o sicurezza", 
"Non ero soddisfatto del trattamento economico", 
"Non ero soddisfatto delle possibilit di carriera", 
"La sede di lavoro era troppo distante", 
"Volevo continuare a studiare", 
"Per licenziamento/chiusura attivit", 
"Per motivi familiari o personali", 
"Altro motivo")) 


V4_49_Fact <- factor(DF_GEPPS_A2015$V4_49, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V4_50_Fact <- factor(DF_GEPPS_A2015$V4_50, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Lavoro dipendente a tempo indeterminato (senza scadenza)", 
"Lavoro dipendente a termine o occasionale/stagionale", 
"Collaborazione coordinata e continuativa, prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Borsa di studio", 
"Un'attivit formativa retribuita (stage, tirocinio, corso di formazione retribuito ecc.)")) 


V4_51_Fact <- factor(DF_GEPPS_A2015$V4_51, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_1_Fact <- factor(DF_GEPPS_A2015$V5_1, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_2_Fact <- factor(DF_GEPPS_A2015$V5_2, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Sto per iniziare un lavoro", 
"Sto per iniziare un'attivit formativa retribuita", 
"Frequento (o sto per iniziare) un corso di studi (o di formazione professionale non retribuita)", 
"E molto difficile trovare lavoro", 
"Sono in attesa dellesito di un concorso o di passate azioni di ricerca", 
"Non mi interessa, non ne ho bisogno", 
"Per motivi personali/familiari (salute, nascita figli, assistenza familiari ecc.)", 
"Altro (specificare)")) 


V5_3_Fact <- factor(DF_GEPPS_A2015$V5_3, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Cerco un secondo lavoro, da aggiungere a quello attuale", 
"Cerco un lavoro a tempo indeterminato", 
"L'attuale lavoro sta per terminare o temo di perderlo", 
"Considero transitorio lattuale lavoro", 
"Per guadagnare di pi", 
"Cerco un lavoro pi qualificante e con migliori prospettive di carriera", 
"Motivi familiari o personali (salute, cura dei familiari ecc.)")) 


V5_4A_Fact <- factor(DF_GEPPS_A2015$V5_4A, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4B_Fact <- factor(DF_GEPPS_A2015$V5_4B, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4C_Fact <- factor(DF_GEPPS_A2015$V5_4C, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4D_Fact <- factor(DF_GEPPS_A2015$V5_4D, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4E_Fact <- factor(DF_GEPPS_A2015$V5_4E, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4F_Fact <- factor(DF_GEPPS_A2015$V5_4F, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4G_Fact <- factor(DF_GEPPS_A2015$V5_4G, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4H_Fact <- factor(DF_GEPPS_A2015$V5_4H, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_4I_Fact <- factor(DF_GEPPS_A2015$V5_4I, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V5_5_Fact <- factor(DF_GEPPS_A2015$V5_5, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Nell'ultimo mese", 
"Negli ultimi sei mesi", 
"Da pi di sei mesi", 
"Non ho ancora svolto nessuna azione")) 


V5_6_Fact <- factor(DF_GEPPS_A2015$V5_6, 
levels=c(1, 
2, 
3), 
labels=c("Dipendente", 
"Autonomo", 
"Non ho preferenze")) 


V5_7_Fact <- factor(DF_GEPPS_A2015$V5_7, 
levels=c(1, 
2, 
3), 
labels=c("A tempo pieno", 
"Part-time", 
"Non ho preferenze")) 


V5_8_Fact <- factor(DF_GEPPS_A2015$V5_8, 
levels=c(1, 
2, 
3), 
labels=c("Ovunque, sia in Italia che all'estero", 
"Solo in Italia", 
"Solo all'estero")) 


V5_9_Fact <- factor(DF_GEPPS_A2015$V5_9, 
levels=c(1, 
2, 
3), 
labels=c("S, ma solo nellambito della regione in cui vivo", 
"S, anche fuori della regione in cui vivo", 
"No")) 


V5_11_Fact <- factor(DF_GEPPS_A2015$V5_11, 
levels=c(1, 
2, 
3), 
labels=c("S, potrei iniziarlo entro le prossime due settimane", 
"No, dovrei rispettare i termini di preavviso allattuale datore di lavoro", 
"No, ci sono altri motivi per cui dovrei rinviare")) 


V6_1_Fact <- factor(DF_GEPPS_A2015$V6_1, 
levels=c(1, 
2), 
labels=c("In Italia", 
"All'estero")) 


PROV_O_EST_RESID_MFR_Fact <- factor(DF_GEPPS_A2015$PROV_O_EST_RESID_MFR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"999"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Valle d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forl-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"Estero")) 


reg_Fact <- factor(DF_GEPPS_A2015$reg, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


rip_Fact <- factor(DF_GEPPS_A2015$rip, 
levels=c(11, 
12, 
23, 
34, 
35), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


V6_2A_Fact <- factor(DF_GEPPS_A2015$V6_2A, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V6_2B_Fact <- factor(DF_GEPPS_A2015$V6_2B, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V6_3_Fact <- factor(DF_GEPPS_A2015$V6_3, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Sto ancora studiando", 
"Non ho la stabilit lavorativa o le risorse economiche per essere autonomo", 
"Ho pensato alla possibilit di andarmene, ma ancora non me la sento / sono troppo giovane", 
"Sto bene cos, conservo comunque la mia libert, dovrei rinunciare a troppe cose", 
"I miei genitori/fratelli se ne dispiacerebbero / hanno bisogno del mio aiuto", 
"Altro (specificare)")) 


V6_4_Fact <- factor(DF_GEPPS_A2015$V6_4, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


V6_5_Fact <- factor(DF_GEPPS_A2015$V6_5, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


V6_6_Fact <- factor(DF_GEPPS_A2015$V6_6, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Ritirato dal lavoro", 
"In altra condizione", 
"Deceduto", 
"Non so")) 


V6_7_Fact <- factor(DF_GEPPS_A2015$V6_7, 
levels=c(1, 
2, 
3), 
labels=c("Lavoratore dipendente", 
"Lavoratore autonomo", 
"Non so")) 


V6_8_Fact <- factor(DF_GEPPS_A2015$V6_8, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (direttore generale di azienda, professore universitario ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore,  ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria,  infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio specializzato (capo operaio, conduttore di macchinari ecc.)", 
"Operaio semplice (colf, usciere, portiere, facchino, bracciante agricolo ecc.)")) 


V6_9_Fact <- factor(DF_GEPPS_A2015$V6_9, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nellazienda di un familiare prevalentemente nella direzione dellazienda", 
"Coadiuvante nellazienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivit", 
"Socio di cooperativa, impegnato prevalentemente nella direzione", 
"Socio di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivit amministrative")) 


V6_10_Fact <- factor(DF_GEPPS_A2015$V6_10, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


V6_11_Fact <- factor(DF_GEPPS_A2015$V6_11, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Occupata", 
"In cerca di occupazione", 
"Casalinga", 
"Ritirata dal lavoro", 
"In altra condizione", 
"Deceduta", 
"Non so")) 


V6_12_Fact <- factor(DF_GEPPS_A2015$V6_12, 
levels=c(1, 
2, 
3), 
labels=c("Lavoratrice dipendente", 
"Lavoratrice autonoma", 
"Non so")) 


V6_13_Fact <- factor(DF_GEPPS_A2015$V6_13, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (direttore generale di azienda, professoressa universitario ecc.)", 
"Quadro, funzionaria (insegnante di scuola materna, elementare, media inferiore o superiore ecc.)", 
"Impiegata ad alta/media qualificazione (infermiera professionale, contabile, archivista, capo segreteria ecc.)", 
"Impiegata esecutiva (addetta allo sportello, telefonista, segretaria, commessa di negozio ecc.)", 
"Operaia specializzata (capo operaia, conduttrice di macchinari ecc.)", 
"Operaia semplice (colf, bidella, portiera, bracciante agricola ecc.)")) 


V6_14_Fact <- factor(DF_GEPPS_A2015$V6_14, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditrice", 
"Libera professionista", 
"Lavoratrice in proprio (commerciante, sarta, coltivatrice diretta ecc.)", 
"Coadiuvante nellazienda di un familiare prevalentemente nella direzione dellazienda", 
"Coadiuvante nellazienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivit", 
"Socia di cooperativa, impegnato prevalentemente nella direzione", 
"Socia di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivit amministrative")) 

save.image (file="DF_GEPPS_A2015.RData")
